Bug 1664853 - [3.11] Add rsync back to the docker-registry image
Summary: [3.11] Add rsync back to the docker-registry image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 3.11.z
Assignee: Ben Parees
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1614841 1664854
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-09 20:42 UTC by Ben Parees
Modified: 2019-01-30 15:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: rsync package was removed from the regsitry image Consequence: rsync cannot be used to backup content from the registry container Fix: rsync package added back to the image Result: rsync can be used
Clone Of: 1614841
Environment:
Last Closed: 2019-01-30 15:19:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0096 None None None 2019-01-30 15:19:34 UTC

Comment 3 Wenjing Zheng 2019-01-21 08:59:52 UTC
Verified with below version:
# docker run --user root  -it --entrypoint=/bin/bash --rm registry.reg-aws.openshift.com:443/openshift3/ose-docker-registry:v3.11.69-2
[root@d8b18a43563e /]# rpm -qa | grep rsync
rsync-3.1.2-4.el7.x86_64

Comment 5 errata-xmlrpc 2019-01-30 15:19:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0096


Note You need to log in before you can comment on or make changes to this bug.